package com.ruoyi.oa.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 培训记录对象 cmc_train
 * 
 * @author cmc
 * @date 2024-09-25
 */
public class CmcTrain extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 培训记录id */
    private Integer trainId;

    /** 培训名称 */
    @Excel(name = "培训名称")
    private String name;

    /** 培训地点 */
    @Excel(name = "培训地点")
    private String place;

    /** 组织者 */
    @Excel(name = "组织者")
    private String organizer;

    /** 人数 */
    @Excel(name = "人数")
    private Integer num;

    /** 参培人员 */
    @Excel(name = "参培人员")
    private String participates;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date beginDate;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endDate;

    public void setTrainId(Integer trainId) 
    {
        this.trainId = trainId;
    }

    public Integer getTrainId() 
    {
        return trainId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setPlace(String place) 
    {
        this.place = place;
    }

    public String getPlace() 
    {
        return place;
    }
    public void setOrganizer(String organizer) 
    {
        this.organizer = organizer;
    }

    public String getOrganizer() 
    {
        return organizer;
    }
    public void setNum(Integer num) 
    {
        this.num = num;
    }

    public Integer getNum() 
    {
        return num;
    }
    public void setParticipates(String participates) 
    {
        this.participates = participates;
    }

    public String getParticipates() 
    {
        return participates;
    }
    public void setBeginDate(Date beginDate) 
    {
        this.beginDate = beginDate;
    }

    public Date getBeginDate() 
    {
        return beginDate;
    }
    public void setEndDate(Date endDate) 
    {
        this.endDate = endDate;
    }

    public Date getEndDate() 
    {
        return endDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("trainId", getTrainId())
            .append("name", getName())
            .append("place", getPlace())
            .append("organizer", getOrganizer())
            .append("num", getNum())
            .append("participates", getParticipates())
            .append("beginDate", getBeginDate())
            .append("endDate", getEndDate())
            .toString();
    }
}
